> ## Documentation Index
> Fetch the complete documentation index at: https://developers.everflow.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Events Per Transaction

Returns all post-conversion events for a specific transaction. Shows event details such as event name, timestamp, revenue, and status.


## OpenAPI

````yaml openapi/reporting-events.yaml get /networks/reporting/events/{transactionId}
openapi: 3.0.3
info:
  title: Everflow Network API - Event Reporting
  description: >
    Post-conversion event reporting endpoints for the Everflow partner marketing
    platform. For more detail, see [Event
    Report](https://helpdesk.everflow.io/customer/event-report) in the Help
    Center.
  version: 1.0.0
servers:
  - description: Production Server
    url: https://api.eflow.team/v1
security: []
tags:
  - name: Reporting
    description: Event reporting endpoints.
paths:
  /networks/reporting/events/{transactionId}:
    get:
      tags:
        - Reporting
      summary: Get Events Per Transaction
      parameters:
        - in: path
          name: transactionId
          required: true
          schema:
            type: string
          description: The transaction ID to retrieve events for.
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  events:
                    type: array
                    description: >-
                      Post-conversion events for the transaction. Empty if there
                      are no events.
                    items:
                      type: object
                      properties:
                        conversion_id:
                          type: string
                        conversion_unix_timestamp:
                          type: integer
                        click_unix_timestamp:
                          type: integer
                        status:
                          type: string
                        payout_type:
                          type: string
                        revenue_type:
                          type: string
                        payout:
                          type: number
                        revenue:
                          type: number
                        sale_amount:
                          type: number
                        sub1:
                          type: string
                        sub2:
                          type: string
                        sub3:
                          type: string
                        sub4:
                          type: string
                        sub5:
                          type: string
                        sub6:
                          type: string
                        sub7:
                          type: string
                        sub8:
                          type: string
                        sub9:
                          type: string
                        sub10:
                          type: string
                        source_id:
                          type: string
                        adv1:
                          type: string
                        adv2:
                          type: string
                        adv3:
                          type: string
                        adv4:
                          type: string
                        adv5:
                          type: string
                        adv6:
                          type: string
                        adv7:
                          type: string
                        adv8:
                          type: string
                        adv9:
                          type: string
                        adv10:
                          type: string
                        session_user_ip:
                          type: string
                        conversion_user_ip:
                          type: string
                        is_event:
                          type: boolean
                        event:
                          type: string
                          description: The event name.
                        notes:
                          type: string
                        transaction_id:
                          type: string
                        currency_id:
                          type: string
                        email:
                          type: string
                        is_view_through:
                          type: boolean
                        is_scrub:
                          type: boolean
                        error_code:
                          type: integer
                        error_message:
                          type: string
                        coupon_code:
                          type: string
                        order_id:
                          type: string
                        url:
                          type: string
                        isp:
                          type: string
                        referer:
                          type: string
                        app_id:
                          type: string
                        idfa:
                          type: string
                        idfa_md5:
                          type: string
                        idfa_sha1:
                          type: string
                        google_ad_id:
                          type: string
                        google_ad_id_md5:
                          type: string
                        google_ad_id_sha1:
                          type: string
                        android_id:
                          type: string
                        android_id_md5:
                          type: string
                        android_id_sha1:
                          type: string
                        country:
                          type: string
                        region:
                          type: string
                        city:
                          type: string
                        dma:
                          type: integer
                        carrier:
                          type: string
                        platform:
                          type: string
                        os_version:
                          type: string
                        device_type:
                          type: string
                        device_model:
                          type: string
                        brand:
                          type: string
                        browser:
                          type: string
                        language:
                          type: string
                        http_user_agent:
                          type: string
                        previous_network_offer_id:
                          type: integer
                        network_offer_payout_revenue_id:
                          type: integer
                        relationship:
                          type: object
                          properties:
                            offer:
                              type: object
                              properties:
                                network_offer_id:
                                  type: integer
                                network_id:
                                  type: integer
                                name:
                                  type: string
                                offer_status:
                                  type: string
                            advertiser:
                              type: object
                              properties:
                                network_advertiser_id:
                                  type: integer
                                network_id:
                                  type: integer
                                name:
                                  type: string
                                account_status:
                                  type: string
                            affiliate:
                              type: object
                              properties:
                                network_affiliate_id:
                                  type: integer
                                network_id:
                                  type: integer
                                name:
                                  type: string
                                account_status:
                                  type: string
                            account_manager:
                              type: object
                              properties:
                                network_employee_id:
                                  type: integer
                                network_id:
                                  type: integer
                                first_name:
                                  type: string
                                last_name:
                                  type: string
                                full_name:
                                  type: string
                                account_status:
                                  type: string
                            affiliate_manager:
                              type: object
                              properties:
                                network_employee_id:
                                  type: integer
                                network_id:
                                  type: integer
                                first_name:
                                  type: string
                                last_name:
                                  type: string
                                full_name:
                                  type: string
                                account_status:
                                  type: string
                            offer_group:
                              type: object
                              properties:
                                network_offer_group_id:
                                  type: integer
                                network_id:
                                  type: integer
                                network_advertiser_id:
                                  type: integer
                                name:
                                  type: string
                                offer_group_status:
                                  type: string
                                offer_count:
                                  type: integer
                            attribution_method:
                              type: string
                            query_parameters:
                              type: object
                            usm_data:
                              nullable: true
                              type: object
      security:
        - API Key: []
components:
  securitySchemes:
    API Key:
      description: The Everflow API key generated from the Control Center > Security.
      in: header
      name: X-Eflow-Api-Key
      type: apiKey

````